SellAuth

Invoices

Get Invoices

Retrieves the invoices.

GET
/v1/shops/{shopId}/invoices

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Request Body

application/jsonOptional
pageinteger
perPageinteger

Must be at least 1. Must not be greater than 100.

orderColumnstring
Value in: "id" | "price_usd" | "paid_usd" | "created_at" | "completed_at"
orderDirectionstring
Value in: "asc" | "desc"
idstring
statusesarray<string>
emailstring
gatewaysobject
payment_method_idsobject
created_at_startstring

Must be a valid date.

created_at_endstring

Must be a valid date. Must be a date after created_at_start.

completed_at_startstring

Must be a valid date.

completed_at_endstring

Must be a valid date. Must be a date after completed_at_start.

product_namestring
variant_namestring
coupon_codestring
ipstring
discord_idstring
discord_usernamestring
deliverablestring
custom_fieldstring
archivedstring
manualstring
external_id_typestring
external_id_valuestring
cashapp_notestring
paypalff_notestring
venmo_notestring
customer_idstring
allboolean

Path Parameters

shopIdRequiredinteger

The shop ID.

curl -X GET "https://api.sellauth.com/v1/shops/{shopId}/invoices" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "page": 12,
    "perPage": 1,
    "orderColumn": "completed_at",
    "orderDirection": "asc",
    "id": "culpa",
    "statuses": [
      "refunded"
    ],
    "email": "morgan93@example.net",
    "gateways": null,
    "payment_method_ids": null,
    "created_at_start": "2026-01-25T17:40:11",
    "created_at_end": "2084-01-04",
    "completed_at_start": "2026-01-25T17:40:11",
    "completed_at_end": "2084-01-04",
    "product_name": "culpa",
    "variant_name": "culpa",
    "coupon_code": "culpa",
    "ip": "culpa",
    "discord_id": "culpa",
    "discord_username": "culpa",
    "deliverable": "culpa",
    "custom_field": "culpa",
    "archived": null,
    "manual": null,
    "external_id_type": "culpa",
    "external_id_value": "culpa",
    "cashapp_note": "culpa",
    "paypalff_note": "culpa",
    "venmo_note": "culpa",
    "customer_id": "culpa",
    "all": false
  }'

{
  "current_page": 1,
  "data": [
    {
      "id": 971,
      "status": "completed",
      "product_id": null,
      "variant_id": null,
      "price": "1.35",
      "currency": "USD",
      "paid": "0.00",
      "paid_usd": "0.00",
      "gateway": "LTC",
      "payment_method_id": 30,
      "email": "my@customer.com",
      "salt": "ba1181294bc7a",
      "manual": 0,
      "created_at": "2025-07-27T18:03:25.000000Z",
      "completed_at": "2025-07-27T18:04:28.000000Z",
      "archived_at": null,
      "shop_customer_id": 240,
      "tax_rate": "0.00",
      "ip": "127.0.0.1",
      "country_code": null,
      "user_agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/138.0.0.0 Safari/537.36",
      "asn": null,
      "unique_id": "ba1181294bc7a-0000000000971",
      "product": null,
      "variant": null,
      "items": [
        {
          "id": 904,
          "invoice_id": 971,
          "product_id": 762,
          "variant_id": 1368,
          "product": {
            "id": 762,
            "name": "My Product",
            "stock_count": 0
          },
          "variant": {
            "id": 1368,
            "name": "My Variant"
          }
        },
        {
          "id": 905,
          "invoice_id": 971,
          "product_id": 763,
          "variant_id": 1369,
          "product": {
            "id": 763,
            "name": "My Addon",
            "stock_count": 0
          },
          "variant": {
            "id": 1369,
            "name": "My Addon"
          }
        }
      ],
      "payment_method": {
        "id": 30,
        "name": "Litecoin",
        "icon_image_id": null,
        "icon_image_url": null,
        "icon_image": null
      }
    }
  ],
  "first_page_url": "https://api.sellauth.com/v1/shops/38/invoices?page=1",
  "from": 1,
  "last_page": 1,
  "last_page_url": "https://api.sellauth.com/v1/shops/38/invoices?page=1",
  "links": [
    {
      "url": null,
      "label": "&laquo; Previous",
      "active": false
    },
    {
      "url": "https://api.sellauth.com/v1/shops/38/invoices?page=1",
      "label": "1",
      "active": true
    },
    {
      "url": null,
      "label": "Next &raquo;",
      "active": false
    }
  ],
  "next_page_url": null,
  "path": "https://api.sellauth.com/v1/shops/38/invoices",
  "per_page": 20,
  "prev_page_url": null,
  "to": 1,
  "total": 1
}

Get Invoice

Retrieves a specific invoice.

GET
/v1/shops/{shopId}/invoices/{invoiceId}

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Path Parameters

shopIdRequiredinteger

The shop ID.

invoiceIdRequiredstring

The invoice ID or unique ID.

curl -X GET "https://api.sellauth.com/v1/shops/{shopId}/invoices/971" \
  -H "Authorization: Bearer <token>"

{
  "id": 971,
  "coupon_id": 301,
  "coupon_discount": "0.00",
  "gateway_fee": "0.00",
  "paypalff_email": null,
  "shop_customer_id": 240,
  "created_at": "2025-07-27T18:03:25.000000Z",
  "updated_at": "2025-07-27T18:04:28.000000Z",
  "completed_at": "2025-07-27T18:04:28.000000Z",
  "archived_at": null,
  "salt": "ba1181294bc7a",
  "gateway": "LTC",
  "payment_method_id": 30,
  "external_url": null,
  "stripe_client_secret": null,
  "sumup_checkout_id": null,
  "email": "my@customer.com",
  "delivered": null,
  "delivered_old": null,
  "redirect_url": null,
  "status": "completed",
  "status_description": null,
  "price": "1.35",
  "tax_rate": "0.00",
  "currency": "USD",
  "customer_currency": null,
  "amount": 1,
  "price_usd": "1.35",
  "paid": "0.00",
  "paid_usd": "0.00",
  "custom_fields": null,
  "dashboard_note": null,
  "ip": "127.0.0.1",
  "country_code": null,
  "user_agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/138.0.0.0 Safari/537.36",
  "asn": null,
  "crypto_address": "ltc1q888adllx44nln8enswc6rhkhwfpjhd5ds6mn40",
  "crypto_amount": "0.01180304",
  "product_id": null,
  "shop_id": 38,
  "cashapp_cashtag": null,
  "cashapp_note": null,
  "cashapp_email": null,
  "variant_id": null,
  "venmo_tag": null,
  "venmo_email": null,
  "venmo_note": null,
  "manual": 0,
  "cashapp_receipt_id": null,
  "cashapp_transaction_id": null,
  "paypalff_transaction_id": null,
  "paypalff_currency": "USD",
  "paypalff_price": null,
  "paypalff_note": null,
  "stripe_pi_id": null,
  "paypal_order_id": null,
  "mollie_transaction_id": null,
  "skrill_transaction_id": null,
  "authorizenet_transaction_id": null,
  "revolutbusiness_token": null,
  "lemonsqueezy_order_number": null,
  "customer_id": null,
  "transaction_id": null,
  "proof_of_payment": null,
  "prefill_affiliate_referrer_id": null,
  "unique_id": "ba1181294bc7a-0000000000971",
  "customer": {
    "shop_id": 38,
    "email": "my@customer.com",
    "discord_id": null,
    "discord_username": null,
    "$id": 240
  },
  "coupon": {
    "code": "My Coupon",
    "discount": "10.00",
    "type": "percentage",
    "$id": 301
  },
  "items": [
    {
      "id": 904,
      "invoice_id": 971,
      "product_id": 762,
      "variant_id": 1368,
      "parent_variant_id": null,
      "status": "completed",
      "price": "1.00",
      "quantity": 1,
      "coupon_discount": "0.10",
      "volume_discount": "0.00",
      "gateway_fee": "0.00",
      "tax_inclusive": true,
      "total_tax": "0.00",
      "total_price": "0.90",
      "custom_fields": null,
      "delivered": [
        "Key 3"
      ],
      "completed_at": "2025-07-27T18:04:28.000000Z",
      "product": {
        "id": 762,
        "type": "variant",
        "name": "My Product",
        "deliverables_type": "serials",
        "stock_count": 2
      },
      "variant": {
        "id": 1368,
        "name": "My Variant",
        "stock": 2
      }
    },
    {
      "id": 905,
      "invoice_id": 971,
      "product_id": 763,
      "variant_id": 1369,
      "parent_variant_id": 1368,
      "status": "completed",
      "price": "0.50",
      "quantity": 1,
      "coupon_discount": "0.05",
      "volume_discount": "0.00",
      "gateway_fee": "0.00",
      "tax_inclusive": true,
      "total_tax": "0.00",
      "total_price": "0.45",
      "custom_fields": null,
      "delivered": null,
      "completed_at": "2025-07-27T18:04:28.000000Z",
      "product": {
        "id": 763,
        "type": "addon",
        "name": "My Addon",
        "deliverables_type": "service",
        "stock_count": 0
      },
      "variant": {
        "id": 1369,
        "name": "My Addon",
        "stock": -1
      }
    }
  ],
  "payments": [],
  "payment_method": {
    "name": "Litecoin",
    "icon_image_id": null,
    "icon_image_url": null,
    "icon_image": null,
    "$id": 30
  },
  "feedback": {
    "invoice_id": 971,
    "status": "published",
    "message": "Awesome Product!",
    "rating": 5,
    "is_automatic": false,
    "reply": null,
    "dispute_reason": null,
    "disputed_at": null,
    "created_at": "2026-01-25T17:03:44.000000Z",
    "updated_at": "2026-01-25T17:03:44.000000Z",
    "replied_at": null,
    "$id": 43431
  }
}

Archive Invoice

Marks an invoice as archived.

POST
/v1/shops/{shopId}/invoices/{invoiceId}/archive

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Path Parameters

shopIdRequiredinteger

The shop ID.

invoiceIdRequirednumeric

The invoice ID.

curl -X POST "https://api.sellauth.com/v1/shops/{shopId}/invoices/{invoiceId}/archive" \
  -H "Authorization: Bearer <token>"

Unarchive Invoice

Marks an invoice as unarchived.

POST
/v1/shops/{shopId}/invoices/{invoiceId}/unarchive

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Path Parameters

shopIdRequiredinteger

The shop ID.

invoiceIdRequirednumeric

The invoice ID.

curl -X POST "https://api.sellauth.com/v1/shops/{shopId}/invoices/{invoiceId}/unarchive" \
  -H "Authorization: Bearer <token>"

Cancel Invoice

Marks an invoice as cancelled.

POST
/v1/shops/{shopId}/invoices/{invoiceId}/cancel

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Path Parameters

shopIdRequiredinteger

The shop ID.

invoiceIdRequirednumeric

The invoice ID.

curl -X POST "https://api.sellauth.com/v1/shops/{shopId}/invoices/{invoiceId}/cancel" \
  -H "Authorization: Bearer <token>"

Refund Invoice

Marks an invoice as refunded.

POST
/v1/shops/{shopId}/invoices/{invoiceId}/refund

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Path Parameters

shopIdRequiredinteger

The shop ID.

invoiceIdRequirednumeric

The invoice ID.

curl -X POST "https://api.sellauth.com/v1/shops/{shopId}/invoices/{invoiceId}/refund" \
  -H "Authorization: Bearer <token>"

Unrefund Invoice

Unmarks an invoice as refunded.

POST
/v1/shops/{shopId}/invoices/{invoiceId}/unrefund

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Path Parameters

shopIdRequiredinteger

The shop ID.

invoiceIdRequirednumeric

The invoice ID.

curl -X POST "https://api.sellauth.com/v1/shops/{shopId}/invoices/{invoiceId}/unrefund" \
  -H "Authorization: Bearer <token>"

Update Invoice Dashboard Note

Updates the invoice dashboard note.

PUT
/v1/shops/{shopId}/invoices/{invoiceId}/dashboard-note

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Path Parameters

shopIdRequiredinteger

The shop ID.

invoiceIdRequirednumeric

The invoice ID.

curl -X PUT "https://api.sellauth.com/v1/shops/{shopId}/invoices/{invoiceId}/dashboard-note" \
  -H "Authorization: Bearer <token>"

GET
/v1/shops/{shopId}/invoices/{invoiceId}/pdf

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Path Parameters

shopIdRequiredinteger
invoiceIdRequiredinteger
curl -X GET "https://api.sellauth.com/v1/shops/{shopId}/invoices/{invoiceId}/pdf" \
  -H "Authorization: Bearer <token>"

{
  "success": false,
  "error": "Shop not found",
  "message": "Shop not found"
}

Process Invoice

Processes an invoice.

GET
/v1/shops/{shopId}/invoices/{invoiceId}/process

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Path Parameters

shopIdRequiredinteger

The shop ID.

invoiceIdRequirednumeric

The invoice ID.

curl -X GET "https://api.sellauth.com/v1/shops/{shopId}/invoices/{invoiceId}/process" \
  -H "Authorization: Bearer <token>"

{
  "error": "Invoice already completed"
}

Replace Delivered

Replaces the delivered items of an invoice.

POST
/v1/shops/{shopId}/invoices/{invoiceId}/replace-delivered

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Request Body

application/jsonRequired
invoice_item_idRequiredinteger
replacementsRequiredobject

Path Parameters

shopIdRequiredinteger

The shop ID.

invoiceIdRequirednumeric

The invoice ID.

curl -X POST "https://api.sellauth.com/v1/shops/{shopId}/invoices/{invoiceId}/replace-delivered" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "invoice_item_id": 12,
    "replacements": []
  }'